Bug 674878 - man useradd is incorrect
man useradd is incorrect
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: shadow-utils (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Peter Vrabec
BaseOS QE Security Team
: ManPageChange
Depends On: 523265 650162
Blocks: 719902
  Show dependency treegraph
 
Reported: 2011-02-03 11:02 EST by Ivana Varekova
Modified: 2011-12-06 11:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 650162
Environment:
Last Closed: 2011-12-06 11:27:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivana Varekova 2011-02-03 11:02:49 EST
+++ This bug was initially created as a clone of Bug #650162 +++

+++ This bug was initially created as a clone of Bug #523265 +++

Description of problem:
The man page for useradd command says:

-m --create-home
By default, no home directories are created.

while /etc/login.defs has 

CREATE_HOME yes

The comments in login.defs make it clear that on RH systems home directories are always created by default. Man page says the opposite.

Version-Release number of selected component (if applicable):
shadow-utils-4.1.4.1

How reproducible:
Always

--- Additional comment from fedora-triage-list@redhat.com on 2009-11-16 14:22:38 EET ---


This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from fedora-triage-list@redhat.com on 2010-11-04 12:02:33 EET ---


This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from atodorov@redhat.com on 2010-11-05 14:52:32 EET ---

I think this is still true (at least on RHEL6).

--- Additional comment from atodorov@redhat.com on 2010-11-05 08:53:33 EDT ---

Cloning here for RHEL6.

--- Additional comment from pm-rhel@redhat.com on 2011-01-07 10:44:06 EST ---

This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 4 errata-xmlrpc 2011-12-06 11:27:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1650.html

Note You need to log in before you can comment on or make changes to this bug.